#### Description:

This function returns the vector length of a named entry in a KeyMap, (that is, how many values are associated with the entry).

#### Synopsis

int astMapLength( AstKeyMap ∗this, const char ∗key )

#### Parameters:

##### this

Pointer to the KeyMap.

##### key

The character string identifying the KeyMap entry. Trailing spaces are ignored. The supplied string is converted to upper case before use if the KeyCase attribute is currently set to zero.

#### Returned Value

##### astMapLength()

The length of the entry. One for a scalar, greater than one for a vector. A value of zero is returned if the KeyMap does not contain the named entry.

#### Notes:

- A function value of zero will be returned if an error has already occurred, or if this function should fail for any reason.

Copyright (C) 2021 East Asian Observatory